/*!\file MatlabMatrixToSeqMat.cpp
 */

/*Headers:*/
#ifdef HAVE_CONFIG_H
	#include <config.h>
#else
#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
#endif

#include <stdio.h>
#include <string.h>
#include "./matlabio.h"
#include "../../c/toolkits/toolkits.h"
#include "../../c/shared/shared.h"

SeqMat<double>* MatlabMatrixToSeqMat(const mxArray* dataref){

	SeqMat<double>* output=NULL;

	output=new SeqMat<double>();
	MatlabMatrixToDoubleMatrix(&output->matrix,&output->M,&output->N,dataref);
	return output;

}
